Bug 914929 - lsusb -t hangs with no output; blocker for sosreport
lsusb -t hangs with no output; blocker for sosreport
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-23 09:21 EST by Michael De La Rue
Modified: 2013-03-20 17:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 17:29:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace of lsusb stopped with ^C after a delay. (58.36 KB, text/plain)
2013-02-23 09:21 EST, Michael De La Rue
no flags Details
backtrace of a locked up LSUSB (416 bytes, text/plain)
2013-02-23 09:23 EST, Michael De La Rue
no flags Details
lsusb -v output - N.B. does not lock up (83.38 KB, text/plain)
2013-02-23 09:24 EST, Michael De La Rue
no flags Details
possible patch (384 bytes, patch)
2013-02-25 10:25 EST, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Michael De La Rue 2013-02-23 09:21:08 EST
Created attachment 701636 [details]
strace of lsusb stopped with ^C after a delay.

Description of problem:
lsusb -t hangs and produces no output.  This also blocks sosreport.  

Version-Release number of selected component (if applicable):


How reproducible:
every time.  

Steps to Reproduce:
1. lsusb -t 


Actual results:
nothing happens

Expected results:
tree output of USB devices

Additional info:
Bug #814087 seems a bit similar but produced output and is for an older Fedora.


strace was completed by me pressing ^C at the end.  

attached will be: 
strace 
backtrace at lockup point 
lsusb -v 


Additional info:
Comment 1 Michael De La Rue 2013-02-23 09:23:33 EST
Created attachment 701637 [details]
backtrace of a locked up LSUSB
Comment 2 Michael De La Rue 2013-02-23 09:24:17 EST
Created attachment 701638 [details]
lsusb -v output - N.B.  does not lock up
Comment 3 Lukáš Nykrýn 2013-02-25 10:25:19 EST
Created attachment 702395 [details]
possible patch
Comment 4 Lukáš Nykrýn 2013-02-25 10:39:40 EST
Can you please try this patch version?
http://people.fedoraproject.org/~lnykryn/usbutils/006-4/
Comment 5 Michael De La Rue 2013-02-25 11:36:54 EST
Yes; that seems to fix it.  (running as normal user) 

[hoop@agata ~]$ lsusb -t


(wait a very very long time)



[hoop@agata ~]$ ./usr/bin/lsusb -t
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/8p, 480M
        |__ Port 6: Dev 3, If 0, Class=Communications, Driver=, 480M
        |__ Port 6: Dev 3, If 1, Class=Communications, Driver=cdc_acm, 480M
        |__ Port 6: Dev 3, If 2, Class=CDC Data, Driver=cdc_acm, 480M
        |__ Port 6: Dev 3, If 3, Class=Communications, Driver=cdc_acm, 480M
        |__ Port 6: Dev 3, If 4, Class=CDC Data, Driver=cdc_acm, 480M
        |__ Port 6: Dev 3, If 5, Class=Communications, Driver=cdc_wdm, 480M
        |__ Port 6: Dev 3, If 6, Class=Communications, Driver=cdc_ncm, 480M
        |__ Port 6: Dev 3, If 7, Class=CDC Data, Driver=cdc_ncm, 480M
        |__ Port 6: Dev 3, If 8, Class=Communications, Driver=cdc_wdm, 480M
        |__ Port 6: Dev 3, If 9, Class=Communications, Driver=cdc_acm, 480M
        |__ Port 6: Dev 3, If 10, Class=CDC Data, Driver=cdc_acm, 480M
        |__ Port 8: Dev 4, If 0, Class=Application Specific Interface, Driver=, 12M
        |__ Port 8: Dev 4, If 1, Class=Chip/SmartCard, Driver=, 12M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/2p, 480M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/6p, 480M
        |__ Port 4: Dev 3, If 0, Class=Wireless, Driver=btusb, 12M
        |__ Port 4: Dev 3, If 1, Class=Wireless, Driver=btusb, 12M
        |__ Port 4: Dev 3, If 2, Class=Vendor Specific Class, Driver=, 12M
        |__ Port 4: Dev 3, If 3, Class=Application Specific Interface, Driver=, 12M
        |__ Port 5: Dev 4, If 0, Class=Video, Driver=uvcvideo, 480M
        |__ Port 5: Dev 4, If 1, Class=Video, Driver=uvcvideo, 480M
Comment 6 Lukáš Nykrýn 2013-02-25 14:40:25 EST
Thanks for checking, I will prepare an update tomorrow.
Comment 7 Fedora Update System 2013-02-26 09:23:38 EST
usbutils-006-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/usbutils-006-4.fc18
Comment 8 Fedora Update System 2013-02-26 21:25:29 EST
Package usbutils-006-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usbutils-006-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3074/usbutils-006-4.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-03-20 17:29:44 EDT
usbutils-006-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.